#include "NormalProb.h"

double NormalProb(double z) {
	double x,t,p;
	
	if(z < 0) x = -z; else x = z;

	t = 1/(1+0.2316419*x);
	p = ((((1.330274429*t-1.821255978)*t+1.781477937)*t-0.356563782)*t+0.319381530)*t;
	p = 1.0 - 0.398942280401*exp(-0.5*x*x)*p;

	if(z < 0) p = 1 - p;
	return p;
}

valarray<double> NormalProbList(valarray<double> zList, int size) {
	valarray<double> pList(size);
	for (int i = 0; i < size; i++) {
		pList[i] = NormalProb(zList[i]);
	}
	return pList;
}
